# WOK
TKWOK
WOKNT

# WOKNT_CompareOfString Class Reference

defines string comparator class

`#include <WOKNT_CompareOfString.hxx>`

Inheritance diagram for WOKNT_CompareOfString:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKNT_CompareOfString ()
| creates a class instance
virtual Standard_EXPORT Standard_Boolean | IsLower (const Handle(TCollection_HAsciiString)&Left, const Handle(TCollection_HAsciiString)&Right) const
| returns True if <left> is lower than <right>
virtual Standard_EXPORT Standard_Boolean | IsGreater (const Handle(TCollection_HAsciiString)&Left, const Handle(TCollection_HAsciiString)&Right) const
| returns True if <left> is greater than <right>.
virtual Standard_EXPORT Standard_Boolean | IsEqual (const Handle(TCollection_HAsciiString)&Left, const Handle(TCollection_HAsciiString)&Right) const
| returns True when <right> and <left> are equal.

## Constructor & Destructor Documentation

Standard_EXPORT WOKNT_CompareOfString::WOKNT_CompareOfString | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean WOKNT_CompareOfString::IsEqual | ( | const Handle(TCollection_HAsciiString)& | Left,
|  | const Handle(TCollection_HAsciiString)& | Right
| ) | const`[virtual]`

| Reimplemented from WOKNT_PrivCompareOfString.

virtual Standard_EXPORT Standard_Boolean WOKNT_CompareOfString::IsGreater | ( | const Handle(TCollection_HAsciiString)& | Left,
|  | const Handle(TCollection_HAsciiString)& | Right
| ) | const`[virtual]`

| Reimplemented from WOKNT_PrivCompareOfString.

virtual Standard_EXPORT Standard_Boolean WOKNT_CompareOfString::IsLower | ( | const Handle(TCollection_HAsciiString)& | Left,
|  | const Handle(TCollection_HAsciiString)& | Right
| ) | const`[virtual]`

| Reimplemented from WOKNT_PrivCompareOfString.

void WOKNT_CompareOfString::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKNT_PrivCompareOfString.

void* WOKNT_CompareOfString::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKNT_PrivCompareOfString.

void* WOKNT_CompareOfString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKNT_PrivCompareOfString.

The documentation for this class was generated from the following file:

- WOKNT_CompareOfString.hxx